%bcond_with bootstrap

Summary:        Plexus Interpolation API
Name:           plexus-interpolation
Version:        1.26
Release:        5%{?dist}
License:        ASL 2.0 and ASL 1.1 and MIT
URL:            https://github.com/codehaus-plexus/plexus-interpolation
Source0:        https://github.com/codehaus-plexus/plexus-interpolation/archive/plexus-interpolation-%{version}.tar.gz
Patch3000:      0001-Use-PATH-env-variable-instead-of-JAVA_HOME.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap-openjdk8
%else
BuildRequires:  maven-local-openjdk8
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.codehaus.plexus:plexus-components:pom:)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
%endif

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

%description
Plexus interpolator is the outgrowth of multiple iterations of development
focused on providing a more modular, flexible interpolation framework for
the expression language style commonly seen in Maven, Plexus, and other
related projects.

%{?javadoc_package}



%prep
%autosetup -p1 -n plexus-interpolation-plexus-interpolation-%{version}
%pom_add_dep junit:junit:4.13.1:test
%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin :maven-scm-publish-plugin



%build
%mvn_file : plexus/interpolation
%mvn_build



%install
%mvn_install



%files -f .mfiles



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.26-5
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Zhao Zhen <jeremiazhao@tencent.com> - 1.26-4
- switched to non-bootstrap building

* Wed Apr 12 2023 Zhao Zhen <jeremiazhao@tencent.com> - 1.26-3
- rebuilding for opencloudos

* Fri Mar 24 2023 rockerzhu <rockerzhu@tencent.com> - 1.26-2
- Rebuild

* Thu Mar 23 2023 Zhao Zhen <jeremiazhao@tencent.com> - 1.26-1
- initial
